## org.exist.util.sanity
Class AssertFailure

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.exist.util.sanity.AssertFailure

All Implemented Interfaces:
  java.io.Serializable

public class AssertFailure
extends java.lang.RuntimeException

Exception indicating a failed assertion. Used by class `SanityCheck` to print a stack trace.

Author:
  wolf
See Also:
  Serialized Form

Constructor Summary
`AssertFailure()`
`AssertFailure(java.lang.String message)`
`AssertFailure(java.lang.String message, java.lang.Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertFailure

    public AssertFailure()

### AssertFailure

    public AssertFailure(java.lang.String message)

Parameters:
  `message` -

### AssertFailure

    public AssertFailure(java.lang.String message,
                         java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

Copyright (C) Wolfgang Meier. All rights reserved.